/* sslapp.h	- ssl application code */

/*
 * The modifications to support SSLeay were done by Tim Hudson
 * tjh@cryptsoft.com
 *
 * You can do whatever you like with these patches except pretend that
 * you wrote them.
 *
 * Email ssl-users-request@mincom.oz.au to get instructions on how to
 * join the mailing list that discusses SSLeay and also these patches.
 *
 */

#ifdef USE_SSL

#include <stdio.h>

#include <openssl/crypto.h>

#define SSL_set_pref_cipher(c,n)        SSL_set_cipher_list(c,n)
#define ONELINE_NAME(X) X509_NAME_oneline(X,NULL,0)
  
#define OLDPROTO NOPROTO
#define NOPROTO
#include <openssl/bio.h>
#undef NOPROTO
#define NOPROTO OLDPROTO
#undef OLDPROTO
#include <openssl/buffer.h>

#include <openssl/x509.h>
#include <openssl/ssl.h>
#include <openssl/err.h>

extern BIO *bio_err;
extern SSL *ssl_con;
extern SSL_CTX *ssl_ctx;
extern int ssl_debug_flag;
extern int ssl_only_flag;
extern int ssl_active_flag;
extern int ssl_verify_flag;
extern int ssl_secure_flag;
extern int ssl_verbose_flag;
extern int ssl_disabled_flag;
extern int ssl_cert_required;
extern int ssl_certsok_flag;

extern char *ssl_log_file; 
extern char *ssl_cert_file; 
extern char *ssl_key_file;
extern char *ssl_cipher_list;

/* we hide all the initialisation code in a separate file now */
extern int do_ssleay_init(int server);

/*extern int display_connect_details();
extern int server_verify_callback();
extern int client_verify_callback();*/

#endif /* USE_SSL */


